# doglib
[![PyPi version](https://badgen.net/pypi/v/doglib/?color=blue)](https://pypi.org/project/doglib/) &thinsp; [![GitHub license](https://badgen.net/github/license/Naereen/Strapdown.js)](https://github.com/Naereen/StrapDown.js/blob/master/LICENSE) &thinsp; [![Documentation Status](https://readthedocs.org/projects/ansicolortags/badge/?version=latest)](http://ansicolortags.readthedocs.io/?badge=latest)

Doglib ist eine Python-Bibliothek, die speziell entwickelt wurde, um Studierenden die grundlegenden Arbeitsprinzipien von Python-Bibliotheken auf einfache und unterhaltsame Weise zu erklären.

## Installation

Um doglib zu installieren, verwenden Sie pip:

```bash
pip install doglib
```

## Verwendung
Nach der Installation können Sie doglib in Ihrem Python-Code verwenden:
```
import doglib

buddy = Dog(name="Buddy", alter=7, größe="klein")
buddy.bellen()
```

## Funktionen
Doglib stellt eine Vielzahl von Funktionen zur Verfügung, die dazu dienen, die grundlegenden Prinzipien von Python-Bibliotheken zu veranschaulichen. Diese Prinzipien umfassen:

- Nutzung von Funktionen, z.B. `doglib.umrechnung_futtergewicht_in_tassen()`,
- Darstellung von Objekten, z.B. `doglib.Dog()`,
- Interaktion mit Attributen, z.B. `Dog().name`,
- Anwendung von Methoden, z.B. `Dog().bellen()`,
- Einsatz von Subpaketen, z.B. `from doglib import catlib`.


## Beitrag
Wir schätzen und begrüßen Beiträge, die dazu beitragen, doglib sowohl lehrreicher als auch benutzerfreundlicher zu gestalten. Ob es sich um Code-Verbesserungen, Dokumentationsaktualisierungen oder neue Feature-Vorschläge handelt, jede Form der Mitwirkung ist willkommen. Darüber hinaus ermutigen wir Python-Lehrer und -Tutoren, doglib in ihren Lernmaterialien zu verwenden, um die grundlegenden Konzepte von Python-Bibliotheken zu veranschaulichen.

## Lizenz
Doglib steht unter der MIT-Lizenz. Weitere Informationen finden Sie auf englischer Sprache in der Datei LICENSE.